dbh_create(3)

-

NAME
dbh_open, dbh_openR, dbh_create - open or create a new DBHashTable

SYNOPSIS
#include <dbh.h>

DBHashTable *dbh_open(constchar*path);
DBHashTable *dbh_openR(constchar*path);
DBHashTable *dbh_create (const char *path, unsigned char key_length);

DESCRIPTION
dbh_open () opens an existing DBHashTable at path in read/write mode while dbh_openR () will open in read-only mode. To create, initialize and open a new DBHashTable in read/write mode, dbh_create () is used. key_length is the fixed length of the record access key and must be less than 256. This only need be specified when the DBHashTable is created and initialized.

RETURN VALUE
On success, a pointer to a newly initialized and open DBHashTable or NULL if it fails (and errno is set appropriately).

NOTES
 This function will overwrite any file with the specified path including any previous DBH file. Cuantified keys assure that large DBHashes are spread out optimally.

SEE ALSO
dbh (0), dbh_open (3), dbh_openR (3), dbh_close (3), dbh_destroy (3), dbh_genkey (3)

Author
Edscott Wilson Garcia <edscott@xfce.org>